org.apache.fop.render.pdf

## Class PDFStructureTreeBuilder.Factory

- java.lang.Object
- - org.apache.fop.render.pdf.PDFStructureTreeBuilder.Factory

All Implemented Interfaces:
  StructureTreeElement

Enclosing class:
  PDFStructureTreeBuilder

    public class PDFStructureTreeBuilder.Factory
    extends Object
    implements StructureTreeElement

### Method Summary

All Methods Instance Methods Concrete Methods
`PDFStructElem` `createStructureElement()`
`PDFStructElem` `createStructureElement(int pageNumber)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createStructureElement

    public PDFStructElem createStructureElement()

#### createStructureElement

    public PDFStructElem createStructureElement(int pageNumber)